<?php


namespace Fastrack\Location;


use Fastrack\Utilities\ModelUtilities;
use PlatoCreative\Imgix\Imgix;
use SilverStripe\ORM\DataObject;
use SilverStripe\ORM\HasManyList;

/**
 * @method HasManyList Places()
 */
class PlaceCategory extends DataObject
{
	private static $table_name = 'place_category';

	private static $db = [
		'Name' => 'Varchar(255)',
	];

	private static $has_one = [
		'Image' => Imgix::class,
	];

	private static $has_many = [
		'Places' => Place::class,
	];

	private static $translate = [
		'Name',
	];

	private static $owns = [
		'Image'
	];

	public function getCMSFields()
	{
		$fields = parent::getCMSFields();
		$fields->removeByName('Places');
		ModelUtilities::hideFields($this, $fields);
		return $fields;
	}

}
