<?php


namespace Fastrack\Location;


use SilverStripe\Forms\FieldList;
use SilverStripe\Forms\GridField\GridField;
use SilverStripe\Forms\GridField\GridFieldConfig_RecordEditor;
use SilverStripe\Forms\GridField\GridFieldConfig_RelationEditor;
use SilverStripe\ORM\DataExtension;
use SilverStripe\SiteConfig\SiteConfig;
use UndefinedOffset\SortableGridField\Forms\GridFieldSortableRows;

class RegionExtension extends DataExtension
{

	private static $has_many = [
		'Regions' => Region::class,
	];

	public function updateCMSFields(FieldList $fields)
	{
		$gridConfig = GridFieldConfig_RelationEditor::create(10);
		$gridConfig->addComponent(new GridFieldSortableRows('SortOrder'));
		$fields->addFieldToTab('Root.Regions',
			GridField::create('Regions', 'Regions', $this->owner->Regions(), $gridConfig));

	}
}
